•   
  • 1
  • 7
  • 8
  • 9(current)
  • 10
  • 11
  • 13
  •   
Release Amazon Prime + Chrome Launcher (Win,OSX,Linux)
(2014-05-28, 05:07)OGpedxing Wrote: I know almost nothing about addon development (but I am a dev) so I was able to update the addon.xml file in the plugin folder to the following to make it work on Gotham:

[php]
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<addon id="plugin.video.amazon"
name="Amazon"
version="0.7.2"
provider-name="BlueCop + Romans I XVI">

I'm not able to install to amazon plugin, so I can't change any xml file. When I select the amazon Plugin to install, I get to error, that it is still incompatible.
Reply
I think a mirror of the code is on GitHub: Search for amazon xbmc github and you'll see it.
Reply
(2014-05-28, 16:54)OGpedxing Wrote: I think a mirror of the code is on GitHub: Search for amazon xbmc github and you'll see it.

As I write above, I'm not able to install! I have different packages, but with any package I got the error message "incompatible".
Reply
One thing you can try is on a different machine -- I did it on Windows even though my XBMC setup is ubuntu is install Frodo -- then install the amazon addon and then copy over all the required folders from that addons/ folder to the addons/ folder on your Gotham box. Then make the updates to the addon.xml file. The chromelauncher addon should install fine from it's normal repo but the other script addons (beautiful soup, etc) can just be copied.
Reply
(2014-01-04, 17:03)Romans I XVI Wrote:
(2014-01-04, 15:40)ktjensen Wrote: Will this work on an android machine ?

No. It requires the ability to play back amazon video through a browser. Which is not supported on android

actually that is the only way to watch amazon videos on my galaxy-s2 since there is no video feature on the amazon app.
Reply
i tired launching youtube-leanback from within the chrome launcher on xbmcbuntu and i get 'error: chrome not found'.

would it make sense for it to run chromium instead since its already installed and lighter ?

edit: fyi: i changed line 163 of ~/.xbmc/addons/plugin.program.chrome.launcher/default.py from
Code:
path = "/usr/bin/google-chrome"^M
to
Code:
path = "/usr/bin/chromium-browser"^M
but the browser takes up only the left half of the screen and i can only control the xbmc menu under it (i have to ssh in and killall chromium-browser to get rid of it.

the amazon addon wont update because it is incompatible.
Reply
I can't get this working on Gotham (error saying incomaptible), or on another machine running Frodo (Amazon Database fails to install).

The older version of Amazon Prime Fix also does not work, giving me a "logon failed" error, despite entering a correct login.

Any ideas?
Reply
i think i got around the logon failed error by doing an:
Code:
sudo apt-get install python-demjson
but it would still obviousely fail at trying to navigate to something like purchased videos. i think doing:
Code:
sudo apt-get install python-crypto python-mechanize
helped with logging in but i am not really sure how it ties into the add-on.
Reply
(2014-07-06, 02:52)ZebZ Wrote: I can't get this working on Gotham (error saying incomaptible)...

I also tried now everything, but I can't get it working under Gotham! Whats about "Romans I XVI"? Isn't he anymore in this forum yet?

Has anybody else an idea, how to get amazon instant video working on xbmc or an other solution for windows 8?
Reply
(2014-05-28, 05:07)OGpedxing Wrote:
(2014-05-09, 17:27)schissern Wrote: Hi there,

I still get the message that amazon is incompatible to my xbmc 13.0. Has anyone else the same problem yet?

I know almost nothing about addon development (but I am a dev) so I was able to update the addon.xml file in the plugin folder to the following to make it work on Gotham:

PHP Code:
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<addon id="plugin.video.amazon"
       name="Amazon"
       version="0.7.2"
       provider-name="BlueCop + Romans I XVI">
  <requires>
    <import addon="xbmc.python" version="2.1.0"/>
    <import addon="script.module.beautifulsoup" version="3.2.1"/>
    <import addon="script.module.demjson" version="1.4"/>
    <import addon="script.module.mechanize" version="0.2.6"/>
    <import addon="script.module.amazon.database" version="0.0.2"/>
    <import addon="plugin.program.chrome.launcher" version="1.1.1"/>
  </requires>
  <extension point="xbmc.python.pluginsource"
             library="default.py">
    <provides>video</provides>
  </extension>
  <extension point="xbmc.addon.metadata">
    <summary>Amazon Prime Video Streaming</summary>
    <description>Movies and Television Shows for Prime Members[CR][CR]In order to use this addon you must have Chrome Launcher installed.</description>
    <disclaimer lang="en">Some parts of this addon may not be legal in your country of residence - please check with your local laws before installing.</disclaimer>
    <language>en</language>
    <platform>all</platform>
    <license></license>
    <forum></forum>
    <website></website>
    <email></email>
    <source></source>
  </extension>
</addon> 

You must make sure that the imports are the most up to date version. The main part is change the python version from 1.0 to 2.1.0 but I updated everything just to be sure. Also, the current app (0.7.1.) refers to an amazon page which apparently doesn't exist any more. This can be found in addons/plugin.video.amazon/resources/lib/play.py:

finalUrl=url.replace("http://www.amazon.com/gp/product/","http://www.amazon.com/gp/video/streaming/mini-mode.html?ie=UTF8&asin=")

The mini-mode.html page doesn't exist or has been renamed by Amazon. So in that code you can comment out everything after "finalUrl=url" and do the same to the code a few lines below it (in other words, don't replace the real URL with the mini-mode.html URL). This will at least cause Chrome to launch with the correct product page being shown. You still have to click on Watch Now and then click on Full Screen or type "f" to watch it correctly. With some additional xdotool commands someone may be able to automate that part, although it's kludgy as hell.

If anyone knows of an alternative to the mini-mode page, I'd love to hear it. Some diligent googling returned nothing.

Could you share your source code for the amazon video plugin? I've been attempting to get it to install here and have constantly failed with 'incorrect structure' errors.
Reply
Hi,

First post but long time XBMC fan Big Grin

I cannot get the Amazon add-on to work, Comes up as incompatible.

Is it just incompatible with 13.2RC1?

I have done all that is required to make this work as far as I can work out.

Many thanks

Nick
Reply
I've gone ahead and created a repository that fixes the Amazon Prime plugin for Gotham. It also fixes the issue with mini-mode.html that's mentioned above.

You install it from my repository here.

Full disclosure, I may or may not make significant changes to the plugin, but since I use it myself I'll at least keep it working with newer releases. Anyone who has code change ideas and wants to contribute let me know. Also I'm sure the mods could tell me if a new thread should be opened for support of this fork since the original dev seems to have gone AWOL.
Reply
lotrdev,

Thanks for posting your updated plugin. Is the plugin suppose to play the video or do you need to click play on the amazon webpage? Because the video is not automatically playing for me.

Thanks again and for any future help.
Reply
It only launches the video in Chrome Launcher. I'm not sure how mini-mode.html used to work and whether or not you needed to click play then, but Amazon removed that page and it is no longer supported. Unfortunately this means there's still user input required (probably from a mouse).
Reply
Yes, I would like to contribute. The addon cannot handle german amazon at the moment.I would like to fix that.I wrote you a peronal message with details. Just in case you did not see it.
Reply
  •   
  • 1
  • 7
  • 8
  • 9(current)
  • 10
  • 11
  • 13
  •   
 
Thread Rating:
  • 5 Vote(s) - 3.4 Average



Logout Mark Read Team Forum Stats Members Help
Amazon Prime + Chrome Launcher (Win,OSX,Linux)3.45
This forum uses Lukasz Tkacz MyBB addons.